include ../nessus.tmpl

OBJS = system.o openvas-socket.o network.o resolve.o arglists.o hlst.o  harglists.o rand.o  addslashes.o

# += does not work with non-GNU make ...
# CFLAGS+=-I../$(CIPHER_SUBDIR)
CFLAGS+=-g $(NESSUS_CFLAGS) $(GLIB_CFLAGS)
LIBS+=$(GLIB_LIBS)
INCLUDE = ${include} 
CIPHER = -I../$(CIPHER_SUBDIR)

all : libnessus-client.a


.c.o:
	$(CC) $(CIPHER) $(DEFS) $(INCLUDE) $(CFLAGS) -c $<

libnessus-client.a: $(OBJS)
	$(AR) rc libnessus-client.a $(OBJS)
	@$(RANLIB) libnessus-client.a || echo "ranlib failed"


distclean : clean

clean :
	rm -f *.o *.a


